Bug 24089 - The rpm python dumps core
The rpm python dumps core
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-15 22:43 EST by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 09:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2001-01-15 22:43:53 EST
The following script works under RedHat 7.0.

---foo-
#! /usr/bin/python

import sys
import os
import rpm

fd = os.open(sys.argv [1], 0)
try:
  (h, isSource) = rpm.headerFromPackage(fd)
  print isSource
  print h
except:
  pass
os.close(fd)
---

# ./foo ./foo
zsh: 1801 segmentation fault  ./foo ./foo
Comment 1 Red Hat Bugzilla 2001-01-16 09:51:32 EST
Here's what I see (hjl is script above):
	bash$ ./hjl /D/7.0/i386/time-1.7-12.i386.rpm 
	0
	<header object at 80d9bf8>
Please reopen with more info.
Comment 2 Red Hat Bugzilla 2001-01-16 09:53:00 EST
Ooops, got it now.
Comment 3 Red Hat Bugzilla 2001-01-16 09:58:50 EST
This looks better:

Starting program: /usr/bin/python ./hjl ./hjl
[New Thread 1024 (LWP 18326)]
0
None

Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.